Attribute VB_Name = "ValidacioCertificat"
Public Sub ValidacioCertificat()

    'Utilitats
    Set Utils = New PSISClient.Utils

    'Inicialització del client
    Dim proxy As New PSISClient.digitalSignatureService
    proxy.url = "http://psisbeta.catcert.net/psis/catcert-test/dss"

    'Composició del missatge

    'Creació de l'element amb un document
    Dim document(1) As DocumentType
    Set document(0) = New DocumentType
    document(0).Item = xml

    'Composició del missatge
    Dim certsObj(1)
    certsObj(0) = Utils.Base64File("c:/psis/certificate.dat")
            
    Dim types(1) As Long
    types(0) = ItemsChoiceType.ItemsChoiceType_X509Certificate
            
    Dim certData(0) As Object
    Set certData(0) = New X509DataType
    certData(0).Items = certsObj
    certData(0).ItemsElementName = types

    Dim anyt As New AnyType
    anyt.Any = certData

    Dim signatureType As New SignatureObjectType
    signatureType.Item = anyt

    'Creació del missatge DSS
    Dim request As New PSISClient.VerifyRequest
    request.SignatureObject = signatureType

    'Visualització de la petició
    Debug.Print Utils.MessageToString(request)
    
    'Execució del servei
    Dim response As PSISClient.VerifyResponse
    Set response = proxy.verify(request)
    
    'visualització de la resposta
    Debug.Print Utils.MessageToString(response)
    
End Sub



